#include <iostream>

using namespace std;

int main()
{
    long long int n,brojac = 1,n2,i=1,kopija;
    string odgovori = "";
    cin >> n;
    while(brojac <= n){
    cin >> n2;
    long long int niz1[n2],niz2[n2];
    i = 1;
    while(i <= n2){
        cin >> niz1[i];
        i++;
    }
    i = 1;
    while(i <= n2){
        cin >> niz2[i];
        i++;
    }
    kopija = n2;
    for(i = 1; i <= n2; i++){
        if(niz1[i] != (niz2[kopija--]*(-1))){
         odgovori += "NE\n";
         break;
        }else{
        if(i == n2){
        odgovori +="DA\n";
        }
        }
    }
    brojac++;
    }
    cout << odgovori << endl;
    }